Summary:	Utilities for lm_sensors
Name:		lm_sensors
Version:	3.1.2
Release:	1
Source0:	http://www.lm-sensors.org/wiki/Download/%{name}-%{version}.tar.bz2
Patch0:		%{name}.patch
URL:		http://secure.netroedge.com/~lm78/
License:	GPL
Group:		System
BuildRoot: 	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
%define 	prefix	/usr

%description
This package contains a collection of user space tools for general SMBus
access and hardware monitoring. SMBus, also known as System Management Bus,
is a protocol for communicating through a I2C ('I squared C') bus. Many modern
mainboards have a System Management Bus. There are a lot of devices which can
be connected to a SMBus; the most notable are modern memory chips with EEPROM
memories and chips for hardware monitoring.

Most modern mainboards incorporate some form of hardware monitoring chips.
These chips read things like chip temperatures, fan rotation speeds and
voltage levels. There are quite a few different chips which can be used
by mainboard builders for approximately the same results.

%package 	devel
Summary:	Development libraries and header files for lm_sensors
Group:		Development

%description 	devel
Development libraries and header files for lm_sensors.

You might want to use this package while building applications that might
take advantage of lm_sensors if found.

%prep
%setup -q
%patch0 -p0

%build
%define MAKE_DEFS COMPILE_KERNEL=0 WARN=1 PREFIX=/usr LINUX=/usr/src/linux I2C_HEADERS=/usr/src/linux/include ETCDIR=%{_sysconfdir} MANDIR=%{_mandir} DESTDIR=$RPM_BUILD_ROOT PROG_EXTRA:=sensord LIBDIR=%{_libdir}
make %MAKE_DEFS user
make %MAKE_DEFS user_install

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT user_install
cp prog/sensord/sensord $RPM_BUILD_ROOT/usr/sbin
chmod 755 $RPM_BUILD_ROOT/usr/lib/*.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/sensors3.conf
%{_bindir}
%{_sbindir}
%{_libdir}/*.so.*
%{_libdir}/*.so
%{_mandir}

%files devel
%defattr(-,root,root)
%{_includedir}/sensors
%{_libdir}/*.a
